Bug 458542 - mkdir: invalid option -- 't'
mkdir: invalid option -- 't'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-09 11:40 EDT by John Reiser
Modified: 2009-05-06 16:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 16:15:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2008-08-09 11:40:42 EDT
Description of problem: "yum update kernel" complains "mkdir: invalid option -- 't'"


Version-Release number of selected component (if applicable):
kernel.i686 0:2.6.27-0.244.rc2.git1.fc10

How reproducible: always

Steps to Reproduce:
1. yum update kernel
2.
3.
  
Actual results:
Downloading Packages:
(1/2): kernel-firmware-2.6.27-0.244.rc2.git1.fc10.noarch.rpm                         | 326 kB     00:06     
(2/2): kernel-2.6.27-0.244.rc2.git1.fc10.i686.rpm                                    |  19 MB     02:30     
------------------------------------------------------------------------------------------------------------
Total                                                                       107 kB/s |  19 MB     03:04     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : kernel-firmware                                   [1/3] 
  Installing     : kernel                                            [2/3] 
mkdir: invalid option -- 't'
Try `mkdir --help' for more information.
mkdir: invalid option -- 't'
Try `mkdir --help' for more information.
  Cleanup        : kernel-firmware                                   [3/3] 

Installed: kernel.i686 0:2.6.27-0.244.rc2.git1.fc10
Updated: kernel-firmware.noarch 0:2.6.27-0.244.rc2.git1.fc10


Expected results: no complaints


Additional info:
Comment 1 Bug Zapper 2008-11-25 21:43:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jeremy Katz 2009-05-06 11:30:23 EDT
Are you still seeing this?  If so, can you run new-kernel-pkg with sh -x ?
Comment 3 John Reiser 2009-05-06 16:15:17 EDT
Does not happen in Fedora 10 kernel-2.6.27.21-170.2.56.fc10 and mkinitrd-6.0.71-4.fc10.i386.

Note You need to log in before you can comment on or make changes to this bug.